import { AnnotatorBaseState } from './base/AnnotatorBaseState';

/**
 * Describes a AnnotatorArea state object used to save and restore ss_annotator.js state between sessions.
 */
export interface AnnotatorAreaState {
  /**
   * Editing canvas width.
   */
  width: number;
  /**
   * Editing canvas height.
   */
  height: number;
  /**
   * States of individual markers.
   */
  markers: AnnotatorBaseState[];
}
