import { IPoint } from '../../base/IPoint';
import { TextAnnotatorState } from '../text-annotation/TextAnnotatorState';

/**
 * Represents the state of a CalloutAnnotator.
 */
export interface CalloutAnnotatorState extends TextAnnotatorState {
  /**
   * Background (fill) color.
   */
  bgColor: string;
  /**
   * Position of the callout tip.
   */
  tipPosition: IPoint;
}
