import { RectangleAnnotatorState } from "../RectangleAnnotatorState";

/**
 * Represents state of a CaptionFrameAnnotator,
 */
export interface CaptionFrameAnnotatorState extends RectangleAnnotatorState {
  /**
   * Text color.
   */
  textColor: string;
  /**
   * Caption text font family.
   */
  fontFamily: string;
  /**
   * Caption text font size.
   */
  fontSize: string;
  /**
   * Caption text
   */
  captionText: string;
}
