import { LinearAnnotatorBaseState } from '../LinearAnnotatorBaseState';

/**
 * Represents state of a {@link CurveAnnotator}.
 */
export interface CurveAnnotatorState extends LinearAnnotatorBaseState {
  /**
   * Line color.
   */
  strokeColor: string,
  /**
   * Line width.
   */
  strokeWidth: number,
  /**
   * Line dash array.
   */
  strokeDasharray: string,

  curveX: number,
  curveY: number
}
