import { LinearAnnotatorBaseState } from '../LinearAnnotatorBaseState';

/**
 * Represents state of a {@link LineAnnotator}.
 */
export interface LineAnnotatorState extends LinearAnnotatorBaseState {
  /**
   * Line color.
   */
  strokeColor: string,
  /**
   * Line width.
   */
  strokeWidth: number,
  /**
   * Line dash array.
   */
  strokeDasharray: string
}
